e-Próspera
Reference

Get tax obligations and lump-sum election status

View as Markdown
GET
/api/v1/me/tax/summary

Authorization

AuthorizationBearer <token>

In: header

Scope: eprospera:person.tax.read

Query Parameters

subject?|

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/me/tax/summary"
{  "data": {    "subjects": [      {        "subject": {          "type": "natural_person",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "residentPermitNumber": "string"        },        "obligations": [          {            "type": "income",            "period": {              "year": 0,              "quarter": 1            },            "dueDate": "2019-08-24T14:15:22Z",            "status": "open",            "filingId": "79ada8ef-98e4-495b-8d26-4e319d7aff7f"          }        ],        "lumpSumElections": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "taxYear": 0,            "effectiveDate": "2019-08-24T14:15:22Z",            "terminationDate": "2019-08-24T14:15:22Z",            "status": "active"          }        ]      }    ]  }}